[libgoogle-gson-java] 01/01: Added debian/orig-tar.sh to build the tarball from the upstream SVN repository
Emmanuel Bourg
ebourg-guest at alioth.debian.org
Tue Aug 27 12:16:25 UTC 2013
This is an automated email from the git hooks/post-receive script.
ebourg-guest pushed a commit to branch master
in repository libgoogle-gson-java.
commit 7200cae1793e9541c4a2adc672035ffb18a1ee44
Author: Emmanuel Bourg <ebourg at apache.org>
Date: Tue Aug 27 14:15:38 2013 +0200
Added debian/orig-tar.sh to build the tarball from the upstream SVN repository
---
debian/orig-tar.sh | 14 ++++++++++++++
debian/rules | 2 +-
debian/watch | 3 ++-
3 files changed, 17 insertions(+), 2 deletions(-)
diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
new file mode 100755
index 0000000..73299b8
--- /dev/null
+++ b/debian/orig-tar.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+PACKAGE=libgoogle-gson-java
+VERSION=$2
+TAR=../${PACKAGE}_${VERSION}.orig.tar.gz
+DIR=google-gson
+SVNROOT=http://google-gson.googlecode.com/svn/tags/gson-$VERSION
+
+rm $3
+svn export $SVNROOT $DIR
+GZIP=--best tar --exclude $DIR/docs/javadocs -zcf $TAR $DIR
+rm -rf $DIR
diff --git a/debian/rules b/debian/rules
index b09920b..663c7e6 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,4 +6,4 @@ include /usr/share/cdbs/1/class/maven.mk
JAVA_HOME := /usr/lib/jvm/default-java
get-orig-source:
- uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename --repack
+ uscan --force-download --download-version $(DEB_UPSTREAM_VERSION) --rename
diff --git a/debian/watch b/debian/watch
index 6749b74..563d399 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,3 @@
version=3
-http://code.google.com/p/google-gson/downloads/list?can=1 .*/google-gson-(\d[\d\.]*)-release\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
+http://code.google.com/p/google-gson/downloads/list?can=1 \
+ .*/google-gson-(\d[\d\.]*)-release\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz) debian debian/orig-tar.sh
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/libgoogle-gson-java.git
More information about the pkg-java-commits
mailing list